qca_version.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | QCA_MAJOR_VERSION 2
#define | QCA_MINOR_VERSION 3
#define | QCA_PATCH_VERSION 10
#define | QCA_VERSION QCA_VERSION_CHECK(2, 3, 10)
#define | QCA_VERSION_CHECK(major, minor, patch)
#define | QCA_VERSION_STR "2.3.10"

## Detailed Description

Header file with QCA version.

Note
  You should not use this header directly from an application. You should just use #include <QtCrypto> instead.

## Macro Definition Documentation

## QCA_MAJOR_VERSION

#define QCA_MAJOR_VERSION 2

The major part of current QCA version.

## QCA_MINOR_VERSION

#define QCA_MINOR_VERSION 3

The minor part of current QCA version.

## QCA_PATCH_VERSION

#define QCA_PATCH_VERSION 10

The patch part of current QCA version.

## QCA_VERSION_STR

#define QCA_VERSION_STR "2.3.10"

The current version of QCA as string.

## QCA_VERSION_CHECK

#define QCA_VERSION_CHECK | ( |  | major,
|  |  | minor,
|  |  | patch )

Value:
((major << 16) | (minor << 8) | (patch))

Can be used like #if (QCA_VERSION >= QCA_VERSION_CHECK(2, 0, 3)).

Parameters

  major | part of the version
  minor | part of the version
  patch | part of the version

## QCA_VERSION

#define QCA_VERSION QCA_VERSION_CHECK(2, 3, 10)

The current version of QCA.

This provides you a compile time check of the QCA version.

See also
  qcaVersion for a runtime check.

Examples
  aes-cmac.cpp.